WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/October 2012/23 Oct 2012

Cardiff Blues Coaching Clinic

11 photographs Ben Evans/Huw Evans Agency Tuesday
Prints from £8 Order prints
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 001
CDF_221012_BluesCoachingClinic01.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 002
CDF_221012_BluesCoachingClinic02.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 003
CDF_221012_BluesCoachingClinic03.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 004
CDF_221012_BluesCoachingClinic04.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 005
CDF_221012_BluesCoachingClinic05.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 006
CDF_221012_BluesCoachingClinic06.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 007
CDF_221012_BluesCoachingClinic07.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 008
CDF_221012_BluesCoachingClinic08.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 009
CDF_221012_BluesCoachingClinic09.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 010
CDF_221012_BluesCoachingClinic10.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC
231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC 011
CDF_221012_BluesCoachingClinic11.JPG · Ben Evans/Huw Evans Agency231012 - Cardiff Blues -Dale McIntosh during a Cardiff Blues coaching clinic at Taffs Well RFC

More from around this date

Wed 24 OctCardiff Blues South u16 v Cardiff Blues North u16 Wed 24 OctCardiff Blues Supporters meet Players Mon 22 OctRob Howley announces the Wales Rugby Squad for the Dove Men Care Autumn International Series Sun 21 OctWRU AGM Sun 21 OctLeicester Tigers 39-22 Ospreys Sun 21 OctCardiff Blues 14-22 Toulon Fri 26 OctEdinburgh 28-29 Scarlets Fri 26 OctNewport-Gwent Dragons 19-46 Ulster
Cardiff Blues Coaching Clinic · 23 Oct 2012
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured